# Typedef

Static Public Summary
public | AccountInfo: Object Information describing an account |
public | BudgetCondition: SignatureCondition | TimestampCondition A condition that can unlock a payment |
public | Payment: Object Represents a payment to a given public key |
public | SignatureCondition: Object Represents a condition that is met by executing a `applySignature()` transaction |
public | SignatureStatus: string Possible signature status values |
public | TimestampCondition: Object Represents a condition that is met by executing a `applyTimestamp()` transaction |
public | TransactionCtorFields: Object List of Transaction object fields that may be initialized at construction |
public | TransactionId: string |
public | TransactionInstructionCtorFields: Object List of TransactionInstruction object fields that may be initialized at construction |
public | TransactionSignature: string |

## Static Public

### public AccountInfo: Object source

Information describing an account

#### Properties:

Name | Type | Attribute | Description
tokens | number |  | Number of tokens assigned to the account
owner | PublicKey |  | Identifier of the program that owns the account
userdata | Buffer | nullable: true | Optional userdata assigned to the account
loader | PublicKey |  | Identifier of the loader for this account
executable | boolean |  | `true` if this account's userdata contains a loaded program

### public BudgetCondition: SignatureCondition | TimestampCondition source

A condition that can unlock a payment

### public Payment: Object source

Represents a payment to a given public key

#### Properties:

Name | Type | Attribute | Description
amount | number |  | Number of tokens
to | PublicKey |  | Public key of the recipient

### public SignatureCondition: Object source

Represents a condition that is met by executing a `applySignature()` transaction

#### Properties:

Name | Type | Attribute | Description
type | string |  | Must equal the string 'timestamp'
from | PublicKey |  | Public key from which `applySignature()` will be accepted from

### public SignatureStatus: string source

Possible signature status values

### public TimestampCondition: Object source

Represents a condition that is met by executing a `applyTimestamp()` transaction

#### Properties:

Name | Type | Attribute | Description
type | string |  | Must equal the string 'timestamp'
from | PublicKey |  | Public key from which `applyTimestamp()` will be accepted from
when | Date |  | The timestamp that was observed

### public TransactionCtorFields: Object source

List of Transaction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description
fee | number | nullable: true |
(?lastId} | * |  | A recent transaction id
(?signatures} | * |  | One or more signatures

### public TransactionId: string source

### public TransactionInstructionCtorFields: Object source

List of TransactionInstruction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description
keys | Array<PublicKey> | nullable: true |
programId | PublicKey | nullable: true |
userdata | Buffer | nullable: true |

### public TransactionSignature: string source